/*
 * This file is part of Alida, a Java library for 
 * Advanced Library for Integrated Development of Data Analysis Applications.
 *
 * Copyright (C) 2010 - 2014
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Fore more information on Alida, visit
 *
 *    http://www.informatik.uni-halle.de/alida/
 *
 */

/* 
 * Most recent change(s):
 * 
 * $Rev$
 * $Date$
 * $Author$
 * 
 */

package de.unihalle.informatik.MiToBo.core.gui;

import de.unihalle.informatik.Alida.admin.annotations.ALDMetaInfo;
import de.unihalle.informatik.Alida.admin.annotations.ALDMetaInfo.ExportPolicy;
import de.unihalle.informatik.Alida.exceptions.ALDOperatorException;
import de.unihalle.informatik.Alida.gui.ALDOperatorGUIExecutionProxy;
import de.unihalle.informatik.Alida.operator.ALDOperator;
import de.unihalle.informatik.Alida.operator.ALDOperatorLocation;

/**
 * Manager for executing single MiToBo operator and workflow objects via GUI.
 * 
 * @author Birgit Moeller
 */
@ALDMetaInfo(export = ExportPolicy.ALLOWED)
public class MTBOperatorGUIExecutionProxy 
	extends ALDOperatorGUIExecutionProxy {
	
	/* ***********************************
	 * Some local data type declarations.
	 * ***********************************/
	
	/* ******************
	 * Internal members.
	 * ******************/

	/**
	 * Default constructor.
	 */
	public MTBOperatorGUIExecutionProxy(ALDOperatorLocation opLocation) {
		super(opLocation);
	}
	
	/* (non-Javadoc)
	 * @see de.unihalle.informatik.Alida.gui.ALDOperatorGUIExecutionProxy#initOperatorWorkflow(de.unihalle.informatik.Alida.operator.ALDOperatorLocation)
	 */
	@Override
	protected void initOperatorWorkflow(ALDOperatorLocation opLocation) {
		this.createNewWorkflowNode(opLocation);
	}
	
	/* (non-Javadoc)
	 * @see de.unihalle.informatik.Alida.gui.ALDOperatorGUIExecutionProxy#getNewConfigWin(de.unihalle.informatik.Alida.operator.ALDOperator)
	 */
	@Override
  protected MTBOperatorControlFrame getNewConfigWin(ALDOperator op) 
			throws ALDOperatorException {
		return new MTBOperatorControlFrame(op, this);
	}
}
